
#if defined(POSTGRES_IN) || defined(MYPG_IN)

#include<stdio.h>
#include<unistd.h>
#include<fcntl.h>
#include<sys/socket.h>
#include<netinet/in_systm.h>
#include<netinet/in.h>
#include<netinet/ip.h>
#include<arpa/inet.h>
#include<stdlib.h>
#include<string.h>
#include<pthread.h>
#include<time.h>
#include<errno.h>

#include"zither.h"
#include<almemsys/almemsys.h>
#include"jpreturn.h"

#include<libpq-fe.h>
// extern  PGconn * conn;
// extern  PGresult * res;

extern  global_data_t gd;




int psqlexec_select(char * swap)
{
int ret;
ret = 0;

if(gd.pg.stat == 1){
   gd.pg.res = PQexec(gd.pg.conn, swap);
   if(PQresultStatus(gd.pg.res) != PGRES_TUPLES_OK){
      fprintf(stderr, "psqlexec_select(1): セレクトできてないかも %s\n", swap);
      PQclear(gd.pg.res);
      ret = -1;
      }
   else {
      #ifdef POSTGRES_DEBUG
      fprintf(stderr, "POSTGRES_DEBUG: psqlexec_select(2): セレクトできたかも %s\n", swap);
      #endif
      ret = PQntuples(gd.pg.res);
      PQclear(gd.pg.res);
      }
   }

return ret;
}

#endif



